List contracts
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Query Parameters
status?array<>
Filter by one or more statuses. Repeat the parameter for multiple values.
type?array<>
Filter by one or more contract types. Repeat the parameter for multiple values.
ownerId?string
Filter to contracts owned by this member's user id.
counterpartyId?string
Filter to contracts with this counterparty.
templateId?string
Filter to contracts generated from this template.
q?string
Case-insensitive search over contract title and counterparty name.
sort?string
dir?string
page?integer
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/contracts"{
"data": [
{
"id": "string",
"title": "string",
"type": "NDA",
"ourRole": "COUNTERPARTY",
"status": "DRAFT",
"counterpartyId": "string",
"counterparty": {
"id": "string",
"name": "string"
},
"ownerId": "string",
"owner": {
"id": "string",
"name": "string",
"email": "string"
},
"effectiveDate": "2019-08-24T14:15:22Z",
"executedAt": "2019-08-24T14:15:22Z",
"termMonths": 0,
"autoRenews": true,
"renewalMonths": 0,
"valueCents": "1500000",
"valueCurrency": "USD",
"templateId": "string",
"lastActivityAt": "2019-08-24T14:15:22Z",
"statusChangedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"page": 0,
"pageSize": 50,
"total": 0,
"pageCount": 0
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "validation_error",
"message": "Invalid request input.",
"details": {
"issues": [
{
"path": "title",
"message": "String must contain at least 1 character(s)"
}
]
}
}
}